﻿using Syncfusion.SfImageEditor.XForms;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Reflection;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace ImageEditor_AddShapes
{
    public partial class MainPage : ContentPage
    {
        public MainPage()
        {
            InitializeComponent();
            imageEditor.InputTransparent = true;
            imageEditor.Source = ImageSource.FromResource("ImageEditor_AddShapes.Image1.png", typeof(MainPage).GetTypeInfo().Assembly);
            TapGestureRecognizer tapGesture = new TapGestureRecognizer();
            tapGesture.NumberOfTapsRequired = 1;
            tapGesture.Tapped += TapGesture_Tapped;
            mainGrid.GestureRecognizers.Add(tapGesture);
        }

        private void TapGesture_Tapped(object sender, EventArgs e)
        {
            imageEditor.AddShape(ShapeType.Circle, new PenSettings());
        }
    }

    public class SfImageEditorExt:SfImageEditor
    {

    }
}
